Bug 1359648 - add deprecation warning to vdscli module
Summary: add deprecation warning to vdscli module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 4.0.2
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ovirt-4.0.2
: 4.0.2
Assignee: Irit Goihman
QA Contact: Petr Matyáš
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-25 08:34 UTC by Irit Goihman
Modified: 2016-08-23 20:17 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-23 20:17:20 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)
he setup log (510.78 KB, text/plain)
2016-07-25 09:16 UTC, Artyom
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:1671 normal SHIPPED_LIVE VDSM 4.0 GA bug fix and enhancement update 2016-09-02 21:32:03 UTC
oVirt gerrit 61187 ovirt-4.0 MERGED vdscli: added DeprecationWarning to module 2016-07-25 11:21:10 UTC

Description Irit Goihman 2016-07-25 08:34:35 UTC
vdscli is using xml-rpc which is deprecated on ovirt-3.6 and should be also deprecated. This warning will help eliminate usage of vdscli.

Comment 1 Irit Goihman 2016-07-25 08:38:03 UTC
Artyom, please ack that the warning prints don't effect HE setup logs.

Comment 3 Artyom 2016-07-25 09:16:54 UTC
Created attachment 1183643 [details]
he setup log

For me it looks fine

Comment 4 Petr Matyáš 2016-07-29 08:27:42 UTC
Verified on 4.0.2-3

Comment 6 errata-xmlrpc 2016-08-23 20:17:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-1671.html


Note You need to log in before you can comment on or make changes to this bug.